org.eclipse.viatra.cep.vepl.jvmmodel

## Enum NamingProvider.NamingPurpose

- java.lang.Object
- - java.lang.Enum<NamingProvider.NamingPurpose>
  - - org.eclipse.viatra.cep.vepl.jvmmodel.NamingProvider.NamingPurpose

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NamingProvider.NamingPurpose>
  Enclosing class:
    NamingProvider

      public static enum NamingProvider.NamingPurpose
      extends java.lang.Enum<NamingProvider.NamingPurpose>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENT`
    `JOB`
    `MAPPING`
    `PATTERN`
    `RULE`
    `TRAIT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NamingProvider.NamingPurpose` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NamingProvider.NamingPurpose[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRAIT

          public static final NamingProvider.NamingPurpose TRAIT

    - #### EVENT

          public static final NamingProvider.NamingPurpose EVENT

    - #### PATTERN

          public static final NamingProvider.NamingPurpose PATTERN

    - #### RULE

          public static final NamingProvider.NamingPurpose RULE

    - #### JOB

          public static final NamingProvider.NamingPurpose JOB

    - #### MAPPING

          public static final NamingProvider.NamingPurpose MAPPING

  - ### Method Detail

    - #### values

          public static NamingProvider.NamingPurpose[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NamingProvider.NamingPurpose c : NamingProvider.NamingPurpose.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NamingProvider.NamingPurpose valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null